package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 检查报告管理对象 td_check
 * 
 * @author ruoyi
 * @date 2024-05-06
 */
public class TdCheck extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long checkId;

    /** 人员 */
    @Excel(name = "报告人员")
    private String adduser;

    /** 单位 */
    @Excel(name = "单位")
    private String depart;

    public void setDepart(String depart) {
        this.depart = depart;
    }

    /** 检查开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "检查开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkStartTime;

    /** 检查结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "检查结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkEndTime;

    /** 检查类型（0.自检 1.保密局检查） */
    @Excel(name = "检查类型", readConverterExp = "0=自检,1=保密局检查")
    private String checkType;

    /** 检查内容 */
    @Excel(name = "检查内容")
    private String checkContent;

    /** 检查结果 */
    @Excel(name = "检查结果")
    private String checkResult;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 部门结果 */
    @Excel(name = "部门结果")
    private String departreault;

    /** 地区 */
    @Excel(name = "地区")
    private String area;

    /** 市州 */
    @Excel(name = "市州")
    private String framework;

    /** 检查状态 */
    @Excel(name = "检查状态", readConverterExp = "0=通过,1=未通过,2=待检查")
    private String checkState;

    /** 名 */
    @Excel(name = "名")
    private String checkName;

    /** 地址 */
    @Excel(name = "地址")
    private String checkAddress;

    /** 人员检查 */
    @Excel(name = "人员检查")
    private String checkcontentry;

    /** 人员状态 */
    @Excel(name = "人员状态")
    private String checkcontentryjt;

    /** 文件检查 */
    @Excel(name = "文件检查")
    private String checkcontentrywj;

    /** 文件状态 */
    @Excel(name = "文件状态")
    private String checkcontentrywjjt;

    /** 资产检查 */
    @Excel(name = "资产检查")
    private String checkcontentrysb;

    /** 资产状态 */
    @Excel(name = "资产状态")
    private String checkcontentrysbjt;

    /** 管理制度检查 */
    @Excel(name = "管理制度检查")
    private String checkcontentryglzd;

    /** 状态 */
    @Excel(name = "状态")
    private String checkcontentryglzdjt;

    /** 泄密事件检查 */
    @Excel(name = "泄密事件检查")
    private String checkcontentryxmsj;

    /** 状态 */
    @Excel(name = "状态")
    private String checkcontentryxmsjjt;

    /** 其他内容检查 */
    @Excel(name = "其他内容检查")
    private String checkcontentryother;

    /** 状态 */
    @Excel(name = "状态")
    private String checkcontentryxmsjotherjt;

    /** 结果1 */
    @Excel(name = "结果1")
    private String checkresult1;

    /** 结果2 */
    @Excel(name = "结果2")
    private String checkresult2;

    /** 结果3 */
    @Excel(name = "结果3")
    private String checkresult3;

    /** 结果4 */
    @Excel(name = "结果4")
    private String checkresult4;

    /** 结果5 */
    @Excel(name = "结果5")
    private String checkresult5;

    /** 结果6 */
    @Excel(name = "结果6")
    private String checkresult6;

    /** 备注1 */
    @Excel(name = "备注1")
    private String remark1;

    public String getAdduser() {
        return adduser;
    }

    public void setAdduser(String adduser) {
        this.adduser = adduser;
    }

    /** 备注2 */
    @Excel(name = "备注2")
    private String remark2;

    /** 备注3 */
    @Excel(name = "备注3")
    private String remark3;

    /** 备注4 */
    @Excel(name = "备注4")
    private String remark4;

    /** 备注5 */
    @Excel(name = "备注5")
    private String remark5;

    /** 备注6 */
    @Excel(name = "备注6")
    private String remark6;

    /** 自检结果1 */
    @Excel(name = "自检结果1")
    private String checkownresult1;

    /** 自检结果2 */
    @Excel(name = "自检结果2")
    private String checkownresult2;

    /** 自检结果3 */
    @Excel(name = "自检结果3")
    private String checkownresult3;

    /** 自检结果4 */
    @Excel(name = "自检结果4")
    private String checkownresult4;

    /** 自检结果5 */
    @Excel(name = "自检结果5")
    private String checkownresult5;

    /** 自检结果6 */
    @Excel(name = "自检结果6")
    private String checkownresult6;

    /** 自检时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "自检时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkownresulttime;

    public void setCheckId(Long checkId) 
    {
        this.checkId = checkId;
    }

    public Long getCheckId() 
    {
        return checkId;
    }

    public String getDepart() 
    {
        return depart;
    }
    public void setCheckStartTime(Date checkStartTime) 
    {
        this.checkStartTime = checkStartTime;
    }

    public Date getCheckStartTime() 
    {
        return checkStartTime;
    }
    public void setCheckEndTime(Date checkEndTime) 
    {
        this.checkEndTime = checkEndTime;
    }

    public Date getCheckEndTime() 
    {
        return checkEndTime;
    }
    public void setCheckType(String checkType) 
    {
        this.checkType = checkType;
    }

    public String getCheckType() 
    {
        return checkType;
    }
    public void setCheckContent(String checkContent) 
    {
        this.checkContent = checkContent;
    }

    public String getCheckContent() 
    {
        return checkContent;
    }
    public void setCheckResult(String checkResult) 
    {
        this.checkResult = checkResult;
    }

    public String getCheckResult() 
    {
        return checkResult;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setDepartreault(String departreault) 
    {
        this.departreault = departreault;
    }

    public String getDepartreault() 
    {
        return departreault;
    }
    public void setArea(String area) 
    {
        this.area = area;
    }

    public String getArea() 
    {
        return area;
    }
    public void setFramework(String framework) 
    {
        this.framework = framework;
    }

    public String getFramework() 
    {
        return framework;
    }
    public void setCheckState(String checkState) 
    {
        this.checkState = checkState;
    }

    public String getCheckState() 
    {
        return checkState;
    }
    public void setCheckName(String checkName) 
    {
        this.checkName = checkName;
    }

    public String getCheckName() 
    {
        return checkName;
    }
    public void setCheckAddress(String checkAddress) 
    {
        this.checkAddress = checkAddress;
    }

    public String getCheckAddress() 
    {
        return checkAddress;
    }
    public void setCheckcontentry(String checkcontentry) 
    {
        this.checkcontentry = checkcontentry;
    }

    public String getCheckcontentry() 
    {
        return checkcontentry;
    }
    public void setCheckcontentryjt(String checkcontentryjt) 
    {
        this.checkcontentryjt = checkcontentryjt;
    }

    public String getCheckcontentryjt() 
    {
        return checkcontentryjt;
    }
    public void setCheckcontentrywj(String checkcontentrywj) 
    {
        this.checkcontentrywj = checkcontentrywj;
    }

    public String getCheckcontentrywj() 
    {
        return checkcontentrywj;
    }
    public void setCheckcontentrywjjt(String checkcontentrywjjt) 
    {
        this.checkcontentrywjjt = checkcontentrywjjt;
    }

    public String getCheckcontentrywjjt() 
    {
        return checkcontentrywjjt;
    }
    public void setCheckcontentrysb(String checkcontentrysb) 
    {
        this.checkcontentrysb = checkcontentrysb;
    }

    public String getCheckcontentrysb() 
    {
        return checkcontentrysb;
    }
    public void setCheckcontentrysbjt(String checkcontentrysbjt) 
    {
        this.checkcontentrysbjt = checkcontentrysbjt;
    }

    public String getCheckcontentrysbjt() 
    {
        return checkcontentrysbjt;
    }
    public void setCheckcontentryglzd(String checkcontentryglzd) 
    {
        this.checkcontentryglzd = checkcontentryglzd;
    }

    public String getCheckcontentryglzd() 
    {
        return checkcontentryglzd;
    }
    public void setCheckcontentryglzdjt(String checkcontentryglzdjt) 
    {
        this.checkcontentryglzdjt = checkcontentryglzdjt;
    }

    public String getCheckcontentryglzdjt() 
    {
        return checkcontentryglzdjt;
    }
    public void setCheckcontentryxmsj(String checkcontentryxmsj) 
    {
        this.checkcontentryxmsj = checkcontentryxmsj;
    }

    public String getCheckcontentryxmsj() 
    {
        return checkcontentryxmsj;
    }
    public void setCheckcontentryxmsjjt(String checkcontentryxmsjjt) 
    {
        this.checkcontentryxmsjjt = checkcontentryxmsjjt;
    }

    public String getCheckcontentryxmsjjt() 
    {
        return checkcontentryxmsjjt;
    }
    public void setCheckcontentryother(String checkcontentryother) 
    {
        this.checkcontentryother = checkcontentryother;
    }

    public String getCheckcontentryother() 
    {
        return checkcontentryother;
    }
    public void setCheckcontentryxmsjotherjt(String checkcontentryxmsjotherjt) 
    {
        this.checkcontentryxmsjotherjt = checkcontentryxmsjotherjt;
    }

    public String getCheckcontentryxmsjotherjt() 
    {
        return checkcontentryxmsjotherjt;
    }
    public void setCheckresult1(String checkresult1) 
    {
        this.checkresult1 = checkresult1;
    }

    public String getCheckresult1() 
    {
        return checkresult1;
    }
    public void setCheckresult2(String checkresult2) 
    {
        this.checkresult2 = checkresult2;
    }

    public String getCheckresult2() 
    {
        return checkresult2;
    }
    public void setCheckresult3(String checkresult3) 
    {
        this.checkresult3 = checkresult3;
    }

    public String getCheckresult3() 
    {
        return checkresult3;
    }
    public void setCheckresult4(String checkresult4) 
    {
        this.checkresult4 = checkresult4;
    }

    public String getCheckresult4() 
    {
        return checkresult4;
    }
    public void setCheckresult5(String checkresult5) 
    {
        this.checkresult5 = checkresult5;
    }

    public String getCheckresult5() 
    {
        return checkresult5;
    }
    public void setCheckresult6(String checkresult6) 
    {
        this.checkresult6 = checkresult6;
    }

    public String getCheckresult6() 
    {
        return checkresult6;
    }
    public void setRemark1(String remark1) 
    {
        this.remark1 = remark1;
    }

    public String getRemark1() 
    {
        return remark1;
    }
    public void setRemark2(String remark2) 
    {
        this.remark2 = remark2;
    }

    public String getRemark2() 
    {
        return remark2;
    }
    public void setRemark3(String remark3) 
    {
        this.remark3 = remark3;
    }

    public String getRemark3() 
    {
        return remark3;
    }
    public void setRemark4(String remark4) 
    {
        this.remark4 = remark4;
    }

    public String getRemark4() 
    {
        return remark4;
    }
    public void setRemark5(String remark5) 
    {
        this.remark5 = remark5;
    }

    public String getRemark5() 
    {
        return remark5;
    }
    public void setRemark6(String remark6) 
    {
        this.remark6 = remark6;
    }

    public String getRemark6() 
    {
        return remark6;
    }
    public void setCheckownresult1(String checkownresult1) 
    {
        this.checkownresult1 = checkownresult1;
    }

    public String getCheckownresult1() 
    {
        return checkownresult1;
    }
    public void setCheckownresult2(String checkownresult2) 
    {
        this.checkownresult2 = checkownresult2;
    }

    public String getCheckownresult2() 
    {
        return checkownresult2;
    }
    public void setCheckownresult3(String checkownresult3) 
    {
        this.checkownresult3 = checkownresult3;
    }

    public String getCheckownresult3() 
    {
        return checkownresult3;
    }
    public void setCheckownresult4(String checkownresult4) 
    {
        this.checkownresult4 = checkownresult4;
    }

    public String getCheckownresult4() 
    {
        return checkownresult4;
    }
    public void setCheckownresult5(String checkownresult5) 
    {
        this.checkownresult5 = checkownresult5;
    }

    public String getCheckownresult5() 
    {
        return checkownresult5;
    }
    public void setCheckownresult6(String checkownresult6) 
    {
        this.checkownresult6 = checkownresult6;
    }

    public String getCheckownresult6() 
    {
        return checkownresult6;
    }
    public void setCheckownresulttime(Date checkownresulttime) 
    {
        this.checkownresulttime = checkownresulttime;
    }

    public Date getCheckownresulttime() 
    {
        return checkownresulttime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("checkId", getCheckId())
            .append("adduser", getAdduser())
            .append("depart", getDepart())
            .append("checkStartTime", getCheckStartTime())
            .append("checkEndTime", getCheckEndTime())
            .append("checkType", getCheckType())
            .append("checkContent", getCheckContent())
            .append("checkResult", getCheckResult())
            .append("address", getAddress())
            .append("departreault", getDepartreault())
            .append("area", getArea())
            .append("framework", getFramework())
            .append("checkState", getCheckState())
            .append("checkName", getCheckName())
            .append("checkAddress", getCheckAddress())
            .append("checkcontentry", getCheckcontentry())
            .append("checkcontentryjt", getCheckcontentryjt())
            .append("checkcontentrywj", getCheckcontentrywj())
            .append("checkcontentrywjjt", getCheckcontentrywjjt())
            .append("checkcontentrysb", getCheckcontentrysb())
            .append("checkcontentrysbjt", getCheckcontentrysbjt())
            .append("checkcontentryglzd", getCheckcontentryglzd())
            .append("checkcontentryglzdjt", getCheckcontentryglzdjt())
            .append("checkcontentryxmsj", getCheckcontentryxmsj())
            .append("checkcontentryxmsjjt", getCheckcontentryxmsjjt())
            .append("checkcontentryother", getCheckcontentryother())
            .append("checkcontentryxmsjotherjt", getCheckcontentryxmsjotherjt())
            .append("checkresult1", getCheckresult1())
            .append("checkresult2", getCheckresult2())
            .append("checkresult3", getCheckresult3())
            .append("checkresult4", getCheckresult4())
            .append("checkresult5", getCheckresult5())
            .append("checkresult6", getCheckresult6())
            .append("remark1", getRemark1())
            .append("remark2", getRemark2())
            .append("remark3", getRemark3())
            .append("remark4", getRemark4())
            .append("remark5", getRemark5())
            .append("remark6", getRemark6())
            .append("checkownresult1", getCheckownresult1())
            .append("checkownresult2", getCheckownresult2())
            .append("checkownresult3", getCheckownresult3())
            .append("checkownresult4", getCheckownresult4())
            .append("checkownresult5", getCheckownresult5())
            .append("checkownresult6", getCheckownresult6())
            .append("checkownresulttime", getCheckownresulttime())
            .toString();
    }
}
